<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Book/Scripts/5_mission/dayzexpansion_book/book/expansionbookmenumanager.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d9/d6a/a09103_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionbookmenumanager.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d9/d6a/a09103.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionBookMenuManager.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License.</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d1/d7e/a04206.html">   13</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d1/d7e/a04206.html">ExpansionBookMenuManager</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d1/d7e/a04206.html#a92239f1e265119d02bc131de4ca5e558">   15</a></span>    autoptr array&lt;ref ExpansionBookMenuTabBase&gt; <a class="code hl_variable" href="../../d1/d7e/a04206.html#a92239f1e265119d02bc131de4ca5e558">m_Tabs</a> = <span class="keyword">new</span> array&lt;ref ExpansionBookMenuTabBase&gt;;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    <span class="comment">//TODO: move to main Mod</span></div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span><span class="preprocessor">    #ifdef EXPANSIONMONITORMODULE   </span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    ref <a class="code hl_class" href="../../d4/da2/a04102.html">ExpansionBookMenuTabPlayerProfile</a> m_PlayerProfileTab;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span><span class="preprocessor">    #endif</span></div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span> </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span><span class="preprocessor">    #ifdef EXPANSIONMODBASEBUILDING</span></div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    ref ExpansionBookMenuTabTerritory m_TerritoryTab;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    ref ExpansionBookMenuTabTerritoryInvites m_TerritoryInvitesTab;</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span><span class="preprocessor">    #endif</span></div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span> </div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    <span class="comment">//TODO: move to Party mod</span></div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span><span class="preprocessor">    #ifdef EXPANSIONMODGROUPS</span></div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    ref ExpansionBookMenuTabParty m_PartyTab;</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    ref ExpansionBookMenuTabPartyInvites m_PartyInvitesTab;</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span><span class="preprocessor">    #endif</span></div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="../../d1/d7e/a04206.html#ab0794fe91629cc2d9e089b60b89b8e30">   33</a></span>    ref <a class="code hl_class" href="../../d4/ddb/a04118.html">ExpansionBookMenuTabRules</a> <a class="code hl_variable" href="../../d1/d7e/a04206.html#ab0794fe91629cc2d9e089b60b89b8e30">m_RulesTab</a>;</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno"><a class="line" href="../../d1/d7e/a04206.html#a93aac7d08df9b9c52202e9a079a00073">   34</a></span>    ref <a class="code hl_class" href="../../de/d5a/a04142.html">ExpansionBookMenuTabServerInfo</a> <a class="code hl_variable" href="../../d1/d7e/a04206.html#a93aac7d08df9b9c52202e9a079a00073">m_ServerInfoTab</a>;</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    <span class="comment">//ref ExpansionBookMenuTabNotes m_NotesTab;</span></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno"><a class="line" href="../../d1/d7e/a04206.html#a1c92f4081495cbcd48df81780804bfec">   36</a></span>    ref <a class="code hl_class" href="../../d0/d18/a04070.html">ExpansionBookMenuTabCrafting</a> <a class="code hl_variable" href="../../d1/d7e/a04206.html#a1c92f4081495cbcd48df81780804bfec">m_CraftingTab</a>;</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../d1/d7e/a04206.html#a2987f5161600685afb50a1ba53b3168e">   38</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d7e/a04206.html#a2987f5161600685afb50a1ba53b3168e">~ExpansionBookMenuManager</a>()</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    {</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <a class="code hl_function" href="../../d1/d7e/a04206.html#a4dc289666e9df3d25e6b985fc23371ae">DestroyBookMenuTabs</a>();</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    }</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="../../d1/d7e/a04206.html#a31040716067364d1c30443c4a6d01bbe">   43</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d7e/a04206.html#a31040716067364d1c30443c4a6d01bbe">RegisterBookMenuTabs</a>(<a class="code hl_class" href="../../d1/def/a04198.html">ExpansionBookMenu</a> book_menu)</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    {</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span><span class="preprocessor">        #ifdef EXPANSIONMONITORMODULE</span></div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        <span class="keywordflow">if</span> (<a class="code hl_function" href="../../d7/d1c/a08737.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().GetBook().EnableStatusTab)</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        {</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>            m_PlayerProfileTab = <span class="keyword">new</span> <a class="code hl_class" href="../../d4/da2/a04102.html">ExpansionBookMenuTabPlayerProfile</a>(book_menu);</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>            <a class="code hl_variable" href="../../d1/d7e/a04206.html#a92239f1e265119d02bc131de4ca5e558">m_Tabs</a>.Insert(m_PlayerProfileTab);</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        }</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span><span class="preprocessor">        #ifdef EXPANSIONMODBASEBUILDING</span></div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        <span class="keywordflow">if</span> (<a class="code hl_function" href="../../d7/d1c/a08737.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().GetBook().EnableTerritoryTab)</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        {</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>            m_TerritoryTab = <span class="keyword">new</span> ExpansionBookMenuTabTerritory(book_menu);</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>            <a class="code hl_variable" href="../../d1/d7e/a04206.html#a92239f1e265119d02bc131de4ca5e558">m_Tabs</a>.Insert(m_TerritoryTab);</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>            </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>            m_TerritoryInvitesTab = <span class="keyword">new</span> ExpansionBookMenuTabTerritoryInvites(book_menu) ;</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>            <a class="code hl_variable" href="../../d1/d7e/a04206.html#a92239f1e265119d02bc131de4ca5e558">m_Tabs</a>.Insert(m_TerritoryInvitesTab);</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        }</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        </div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span><span class="preprocessor">        #ifdef EXPANSIONMODGROUPS</span></div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        <span class="keywordflow">if</span> (<a class="code hl_function" href="../../d7/d1c/a08737.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().GetBook().EnablePartyTab)</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        {</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>            m_PartyTab = <span class="keyword">new</span> ExpansionBookMenuTabParty(book_menu);</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>            <a class="code hl_variable" href="../../d1/d7e/a04206.html#a92239f1e265119d02bc131de4ca5e558">m_Tabs</a>.Insert(m_PartyTab);</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>            </div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>            m_PartyInvitesTab = <span class="keyword">new</span> ExpansionBookMenuTabPartyInvites(book_menu);</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>            <a class="code hl_variable" href="../../d1/d7e/a04206.html#a92239f1e265119d02bc131de4ca5e558">m_Tabs</a>.Insert(m_PartyInvitesTab);</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        }</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        </div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        <span class="keywordflow">if</span> (<a class="code hl_function" href="../../d7/d1c/a08737.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().GetBook().EnableServerRulesTab)</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        {</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>            <a class="code hl_variable" href="../../d1/d7e/a04206.html#ab0794fe91629cc2d9e089b60b89b8e30">m_RulesTab</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d4/ddb/a04118.html">ExpansionBookMenuTabRules</a>(book_menu);</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>            <a class="code hl_variable" href="../../d1/d7e/a04206.html#a92239f1e265119d02bc131de4ca5e558">m_Tabs</a>.Insert(<a class="code hl_variable" href="../../d1/d7e/a04206.html#ab0794fe91629cc2d9e089b60b89b8e30">m_RulesTab</a>);</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        }</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        </div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        <span class="keywordflow">if</span> (<a class="code hl_function" href="../../d7/d1c/a08737.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().GetBook().EnableServerInfoTab)</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        {</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>            <a class="code hl_variable" href="../../d1/d7e/a04206.html#a93aac7d08df9b9c52202e9a079a00073">m_ServerInfoTab</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../de/d5a/a04142.html">ExpansionBookMenuTabServerInfo</a>(book_menu);</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>            <a class="code hl_variable" href="../../d1/d7e/a04206.html#a92239f1e265119d02bc131de4ca5e558">m_Tabs</a>.Insert(<a class="code hl_variable" href="../../d1/d7e/a04206.html#a93aac7d08df9b9c52202e9a079a00073">m_ServerInfoTab</a>);</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>        }</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        </div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        <span class="comment">//m_NotesTab = new ExpansionBookMenuTabNotes(book_menu);</span></div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>        <span class="comment">//m_Tabs.Insert(m_NotesTab);</span></div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>        </div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>        <a class="code hl_variable" href="../../d1/d7e/a04206.html#a1c92f4081495cbcd48df81780804bfec">m_CraftingTab</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d0/d18/a04070.html">ExpansionBookMenuTabCrafting</a>(book_menu);</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>        <a class="code hl_variable" href="../../d1/d7e/a04206.html#a92239f1e265119d02bc131de4ca5e558">m_Tabs</a>.Insert(<a class="code hl_variable" href="../../d1/d7e/a04206.html#a1c92f4081495cbcd48df81780804bfec">m_CraftingTab</a>);   <span class="comment">//! WIP</span></div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        </div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>        <span class="keywordflow">foreach</span> (<a class="code hl_class" href="../../df/d23/a04210.html">ExpansionBookMenuTabBase</a> tab: <a class="code hl_variable" href="../../d1/d7e/a04206.html#a92239f1e265119d02bc131de4ca5e558">m_Tabs</a>)</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        {</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>            tab.Hide();</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        }</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>    }</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>    </div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno"><a class="line" href="../../d1/d7e/a04206.html#a4dc289666e9df3d25e6b985fc23371ae">   99</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d7e/a04206.html#a4dc289666e9df3d25e6b985fc23371ae">DestroyBookMenuTabs</a>()</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>    {</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d1/d7e/a04206.html#a92239f1e265119d02bc131de4ca5e558">m_Tabs</a> &amp;&amp; <a class="code hl_variable" href="../../d1/d7e/a04206.html#a92239f1e265119d02bc131de4ca5e558">m_Tabs</a>.Count() &gt; 0)</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>        {</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>            <span class="keywordflow">foreach</span> (<a class="code hl_class" href="../../df/d23/a04210.html">ExpansionBookMenuTabBase</a> tab: <a class="code hl_variable" href="../../d1/d7e/a04206.html#a92239f1e265119d02bc131de4ca5e558">m_Tabs</a>)</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>            {</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>                <span class="keyword">delete</span> tab;</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>            }</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>            </div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>            <a class="code hl_variable" href="../../d1/d7e/a04206.html#a92239f1e265119d02bc131de4ca5e558">m_Tabs</a>.Clear();</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>        }</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>    }</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>    </div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno"><a class="line" href="../../d1/d7e/a04206.html#ab9e612ddb9d609d5c3770e5e6ad29527">  112</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d7e/a04206.html#ab9e612ddb9d609d5c3770e5e6ad29527">UpdateBookMenuTabs</a>(<a class="code hl_class" href="../../d1/def/a04198.html">ExpansionBookMenu</a> book_menu)</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>    {</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>        <a class="code hl_function" href="../../d1/d7e/a04206.html#a4dc289666e9df3d25e6b985fc23371ae">DestroyBookMenuTabs</a>();</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>        <a class="code hl_function" href="../../d1/d7e/a04206.html#a31040716067364d1c30443c4a6d01bbe">RegisterBookMenuTabs</a>(book_menu);</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>    }</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>    </div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno"><a class="line" href="../../d1/d7e/a04206.html#ab55d135619a1d13611b9dbd9e20ba6e1">  118</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d7e/a04206.html#ab55d135619a1d13611b9dbd9e20ba6e1">RegisterBookMenuTab</a>(<a class="code hl_class" href="../../df/d23/a04210.html">ExpansionBookMenuTabBase</a> tab)</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>    {</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>        <a class="code hl_variable" href="../../d1/d7e/a04206.html#a92239f1e265119d02bc131de4ca5e558">m_Tabs</a>.Insert(tab);</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>    }</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>    </div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno"><a class="line" href="../../d1/d7e/a04206.html#ad714e9bedfb24a2dc67b21d7f3b6a57e">  123</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d7e/a04206.html#ad714e9bedfb24a2dc67b21d7f3b6a57e">RemoveBookMenuTab</a>(<a class="code hl_class" href="../../df/d23/a04210.html">ExpansionBookMenuTabBase</a> tab)</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>    {</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>        <span class="keywordtype">int</span> index = -1;</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>        index = <a class="code hl_variable" href="../../d1/d7e/a04206.html#a92239f1e265119d02bc131de4ca5e558">m_Tabs</a>.Find(tab);</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>        <span class="keywordflow">if</span> (index &gt; -1)</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>            <a class="code hl_variable" href="../../d1/d7e/a04206.html#a92239f1e265119d02bc131de4ca5e558">m_Tabs</a>.Remove(index);</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>    }</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>    </div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno"><a class="line" href="../../d1/d7e/a04206.html#a8b24fceeb933a8986bc74407e6fbb841">  131</a></span>    array&lt;ref ExpansionBookMenuTabBase&gt; <a class="code hl_function" href="../../d1/d7e/a04206.html#a8b24fceeb933a8986bc74407e6fbb841">GetBookTabs</a>()</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>    {</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d1/d7e/a04206.html#a92239f1e265119d02bc131de4ca5e558">m_Tabs</a>;</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>    }</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>        </div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span><span class="preprocessor">    #ifdef EXPANSIONMONITORMODULE</span></div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>    <a class="code hl_class" href="../../d4/da2/a04102.html">ExpansionBookMenuTabPlayerProfile</a> GetPlayerProfileTab()</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>    {</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>        <span class="keywordflow">return</span> m_PlayerProfileTab;</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>    }</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span><span class="preprocessor">    #endif</span></div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>    </div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span><span class="preprocessor">    #ifdef EXPANSIONMODBASEBUILDING</span></div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>    ExpansionBookMenuTabTerritory GetTerritoryTab()</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>    {</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>        <span class="keywordflow">return</span> m_TerritoryTab;</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>    }</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>    </div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>    ExpansionBookMenuTabTerritoryInvites GetTerritoryInvitesTab()</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>    {</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>        <span class="keywordflow">return</span> m_TerritoryInvitesTab;</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>    }</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span><span class="preprocessor">    #endif</span></div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>    </div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span><span class="preprocessor">    #ifdef EXPANSIONMODGROUPS</span></div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>    ExpansionBookMenuTabParty GetPartyTab()</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>    {</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>        <span class="keywordflow">return</span> m_PartyTab;</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>    }</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>     </div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>    ExpansionBookMenuTabPartyInvites GetPartyInvitesTab()</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>    {</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>        <span class="keywordflow">return</span> m_PartyInvitesTab;</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>    }</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span><span class="preprocessor">    #endif</span></div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>    </div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno"><a class="line" href="../../d1/d7e/a04206.html#a07e9ffd2a825212c863c95a705c55242">  167</a></span>    <a class="code hl_class" href="../../d4/ddb/a04118.html">ExpansionBookMenuTabRules</a> <a class="code hl_function" href="../../d1/d7e/a04206.html#a07e9ffd2a825212c863c95a705c55242">GetRulesTab</a>()</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>    {</div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d1/d7e/a04206.html#ab0794fe91629cc2d9e089b60b89b8e30">m_RulesTab</a>;</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>    }</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>    </div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno"><a class="line" href="../../d1/d7e/a04206.html#a4939aa3c2f1b78a7ba20b9272b9707e7">  172</a></span>    <a class="code hl_class" href="../../de/d5a/a04142.html">ExpansionBookMenuTabServerInfo</a> <a class="code hl_function" href="../../d1/d7e/a04206.html#a4939aa3c2f1b78a7ba20b9272b9707e7">GetServerInfoTab</a>()</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>    {</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d1/d7e/a04206.html#a93aac7d08df9b9c52202e9a079a00073">m_ServerInfoTab</a>;</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>    }</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>    </div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>    <span class="comment">/*ExpansionBookMenuTabNotes GetNotesTab()</span></div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span><span class="comment">    {</span></div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span><span class="comment">        return m_NotesTab;</span></div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span><span class="comment">    }*/</span></div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span>    </div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno"><a class="line" href="../../d1/d7e/a04206.html#ab2891eff6031d39dc073759dda317894">  182</a></span>    <a class="code hl_class" href="../../d0/d18/a04070.html">ExpansionBookMenuTabCrafting</a> <a class="code hl_function" href="../../d1/d7e/a04206.html#ab2891eff6031d39dc073759dda317894">GetCraftingTab</a>()</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span>    {</div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d1/d7e/a04206.html#a1c92f4081495cbcd48df81780804bfec">m_CraftingTab</a>;</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>    }</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>};</div>
<div class="ttc" id="aa04070_html"><div class="ttname"><a href="../../d0/d18/a04070.html">ExpansionBookMenuTabCrafting</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d06/a00572_source.html#l00013">expansionbookmenutabcrafting.c:14</a></div></div>
<div class="ttc" id="aa04102_html"><div class="ttname"><a href="../../d4/da2/a04102.html">ExpansionBookMenuTabPlayerProfile</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/dde/a00587_source.html#l00013">expansionbookmenutabplayerprofile.c:14</a></div></div>
<div class="ttc" id="aa04118_html"><div class="ttname"><a href="../../d4/ddb/a04118.html">ExpansionBookMenuTabRules</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/d6f/a00623_source.html#l00013">expansionbookmenutabrules.c:14</a></div></div>
<div class="ttc" id="aa04142_html"><div class="ttname"><a href="../../de/d5a/a04142.html">ExpansionBookMenuTabServerInfo</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2a/a00632_source.html#l00013">expansionbookmenutabserverinfo.c:14</a></div></div>
<div class="ttc" id="aa04198_html"><div class="ttname"><a href="../../d1/def/a04198.html">ExpansionBookMenu</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d77/a00683_source.html#l00013">expansionbookmenu.c:14</a></div></div>
<div class="ttc" id="aa04206_html"><div class="ttname"><a href="../../d1/d7e/a04206.html">ExpansionBookMenuManager</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d6a/a09103_source.html#l00013">expansionbookmenumanager.c:14</a></div></div>
<div class="ttc" id="aa04206_html_a07e9ffd2a825212c863c95a705c55242"><div class="ttname"><a href="../../d1/d7e/a04206.html#a07e9ffd2a825212c863c95a705c55242">ExpansionBookMenuManager::GetRulesTab</a></div><div class="ttdeci">ExpansionBookMenuTabRules GetRulesTab()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d6a/a09103_source.html#l00167">expansionbookmenumanager.c:167</a></div></div>
<div class="ttc" id="aa04206_html_a1c92f4081495cbcd48df81780804bfec"><div class="ttname"><a href="../../d1/d7e/a04206.html#a1c92f4081495cbcd48df81780804bfec">ExpansionBookMenuManager::m_CraftingTab</a></div><div class="ttdeci">ref ExpansionBookMenuTabCrafting m_CraftingTab</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d6a/a09103_source.html#l00036">expansionbookmenumanager.c:36</a></div></div>
<div class="ttc" id="aa04206_html_a2987f5161600685afb50a1ba53b3168e"><div class="ttname"><a href="../../d1/d7e/a04206.html#a2987f5161600685afb50a1ba53b3168e">ExpansionBookMenuManager::~ExpansionBookMenuManager</a></div><div class="ttdeci">void ~ExpansionBookMenuManager()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d6a/a09103_source.html#l00038">expansionbookmenumanager.c:38</a></div></div>
<div class="ttc" id="aa04206_html_a31040716067364d1c30443c4a6d01bbe"><div class="ttname"><a href="../../d1/d7e/a04206.html#a31040716067364d1c30443c4a6d01bbe">ExpansionBookMenuManager::RegisterBookMenuTabs</a></div><div class="ttdeci">void RegisterBookMenuTabs(ExpansionBookMenu book_menu)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d6a/a09103_source.html#l00043">expansionbookmenumanager.c:43</a></div></div>
<div class="ttc" id="aa04206_html_a4939aa3c2f1b78a7ba20b9272b9707e7"><div class="ttname"><a href="../../d1/d7e/a04206.html#a4939aa3c2f1b78a7ba20b9272b9707e7">ExpansionBookMenuManager::GetServerInfoTab</a></div><div class="ttdeci">ExpansionBookMenuTabServerInfo GetServerInfoTab()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d6a/a09103_source.html#l00172">expansionbookmenumanager.c:172</a></div></div>
<div class="ttc" id="aa04206_html_a4dc289666e9df3d25e6b985fc23371ae"><div class="ttname"><a href="../../d1/d7e/a04206.html#a4dc289666e9df3d25e6b985fc23371ae">ExpansionBookMenuManager::DestroyBookMenuTabs</a></div><div class="ttdeci">void DestroyBookMenuTabs()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d6a/a09103_source.html#l00099">expansionbookmenumanager.c:99</a></div></div>
<div class="ttc" id="aa04206_html_a8b24fceeb933a8986bc74407e6fbb841"><div class="ttname"><a href="../../d1/d7e/a04206.html#a8b24fceeb933a8986bc74407e6fbb841">ExpansionBookMenuManager::GetBookTabs</a></div><div class="ttdeci">array&lt; ref ExpansionBookMenuTabBase &gt; GetBookTabs()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d6a/a09103_source.html#l00131">expansionbookmenumanager.c:131</a></div></div>
<div class="ttc" id="aa04206_html_a92239f1e265119d02bc131de4ca5e558"><div class="ttname"><a href="../../d1/d7e/a04206.html#a92239f1e265119d02bc131de4ca5e558">ExpansionBookMenuManager::m_Tabs</a></div><div class="ttdeci">autoptr array&lt; ref ExpansionBookMenuTabBase &gt; m_Tabs</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d6a/a09103_source.html#l00015">expansionbookmenumanager.c:15</a></div></div>
<div class="ttc" id="aa04206_html_a93aac7d08df9b9c52202e9a079a00073"><div class="ttname"><a href="../../d1/d7e/a04206.html#a93aac7d08df9b9c52202e9a079a00073">ExpansionBookMenuManager::m_ServerInfoTab</a></div><div class="ttdeci">ref ExpansionBookMenuTabServerInfo m_ServerInfoTab</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d6a/a09103_source.html#l00034">expansionbookmenumanager.c:34</a></div></div>
<div class="ttc" id="aa04206_html_ab0794fe91629cc2d9e089b60b89b8e30"><div class="ttname"><a href="../../d1/d7e/a04206.html#ab0794fe91629cc2d9e089b60b89b8e30">ExpansionBookMenuManager::m_RulesTab</a></div><div class="ttdeci">ref ExpansionBookMenuTabRules m_RulesTab</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d6a/a09103_source.html#l00033">expansionbookmenumanager.c:33</a></div></div>
<div class="ttc" id="aa04206_html_ab2891eff6031d39dc073759dda317894"><div class="ttname"><a href="../../d1/d7e/a04206.html#ab2891eff6031d39dc073759dda317894">ExpansionBookMenuManager::GetCraftingTab</a></div><div class="ttdeci">ExpansionBookMenuTabCrafting GetCraftingTab()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d6a/a09103_source.html#l00182">expansionbookmenumanager.c:182</a></div></div>
<div class="ttc" id="aa04206_html_ab55d135619a1d13611b9dbd9e20ba6e1"><div class="ttname"><a href="../../d1/d7e/a04206.html#ab55d135619a1d13611b9dbd9e20ba6e1">ExpansionBookMenuManager::RegisterBookMenuTab</a></div><div class="ttdeci">void RegisterBookMenuTab(ExpansionBookMenuTabBase tab)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d6a/a09103_source.html#l00118">expansionbookmenumanager.c:118</a></div></div>
<div class="ttc" id="aa04206_html_ab9e612ddb9d609d5c3770e5e6ad29527"><div class="ttname"><a href="../../d1/d7e/a04206.html#ab9e612ddb9d609d5c3770e5e6ad29527">ExpansionBookMenuManager::UpdateBookMenuTabs</a></div><div class="ttdeci">void UpdateBookMenuTabs(ExpansionBookMenu book_menu)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d6a/a09103_source.html#l00112">expansionbookmenumanager.c:112</a></div></div>
<div class="ttc" id="aa04206_html_ad714e9bedfb24a2dc67b21d7f3b6a57e"><div class="ttname"><a href="../../d1/d7e/a04206.html#ad714e9bedfb24a2dc67b21d7f3b6a57e">ExpansionBookMenuManager::RemoveBookMenuTab</a></div><div class="ttdeci">void RemoveBookMenuTab(ExpansionBookMenuTabBase tab)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d6a/a09103_source.html#l00123">expansionbookmenumanager.c:123</a></div></div>
<div class="ttc" id="aa04210_html"><div class="ttname"><a href="../../df/d23/a04210.html">ExpansionBookMenuTabBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d87/a00689_source.html#l00013">expansionbookmenutabbase.c:14</a></div></div>
<div class="ttc" id="aa08737_html_a0a20d14d2f55a927a3b0eab0623f5cf9"><div class="ttname"><a href="../../d7/d1c/a08737.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a></div><div class="ttdeci">static ExpansionSettings GetExpansionSettings()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d1c/a08737_source.html#l00262">expansionsettings.c:262</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_962bfa1893272c9ca8d900ccfa6a09f5.html">Book</a></li><li class="navelem"><a class="el" href="../../dir_5f6b997996f72d4bae47b189b5fbd491.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_8d5b9013e1e30f115ed1c9aa343b42f9.html">5_mission</a></li><li class="navelem"><a class="el" href="../../dir_b9f01b84f4b1924a81a59a6ed9f6add1.html">dayzexpansion_book</a></li><li class="navelem"><a class="el" href="../../dir_9b9d04b47302adcbb3988d4c606fd4b1.html">book</a></li><li class="navelem"><a class="el" href="../../d9/d6a/a09103.html">expansionbookmenumanager.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
